> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clearline.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Get receipt promotion details

> Retrieve promotion details on the receipt for the specified POS system and location.



## OpenAPI

````yaml /openapi.yaml get /pos/{posSystemId}/receipt/promotion/location/{posLocationId}
openapi: 3.0.1
info:
  title: ClearLine POS API
  description: >-
    Point of Sale integration API for ClearLine Marketing Platform. This API
    enables POS systems to send transaction data, manage customer interactions,
    and integrate with marketing campaigns.
  version: v1
servers:
  - url: https://public-api-demo.clearline.me
    description: ClearLine API Server
security: []
paths:
  /pos/{posSystemId}/receipt/promotion/location/{posLocationId}:
    get:
      tags:
        - POS Receipt
      summary: Get receipt promotion details
      description: >-
        Retrieve promotion details on the receipt for the specified POS system
        and location.
      operationId: PosReceipt_GetPromotion
      parameters:
        - name: posSystemId
          in: path
          required: true
          schema:
            type: string
        - name: posLocationId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/PosReceiptPromotionDtoApiResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/PosReceiptPromotionDtoApiResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/PosReceiptPromotionDtoApiResponse'
            application/xml:
              schema:
                $ref: '#/components/schemas/PosReceiptPromotionDtoApiResponse'
            text/xml:
              schema:
                $ref: '#/components/schemas/PosReceiptPromotionDtoApiResponse'
      security:
        - BearerAuth: []
        - ImplicitAuth: []
components:
  schemas:
    PosReceiptPromotionDtoApiResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/PosReceiptPromotionDto'
      additionalProperties: false
    PosReceiptPromotionDto:
      type: object
      properties:
        primaryText:
          type: string
          description: Primary text
          nullable: true
        secondaryText:
          type: string
          description: Secondary text
          nullable: true
        imageUrl:
          type: string
          description: Image url
          nullable: true
        posStatus:
          $ref: '#/components/schemas/PosResponseStatus'
      additionalProperties: false
      description: Represent POS receipt promotion
    PosResponseStatus:
      enum:
        - Accepted
        - Disabled
        - NotAvailable
      type: string
  securitySchemes:
    BearerAuth:
      type: http
      description: |-

        JWT Authorization header using the Bearer scheme.

        Enter **_JWT Bearer token only_** in the text input below.
      scheme: bearer
      bearerFormat: JWT
    ImplicitAuth:
      type: oauth2
      description: Implicit scheme
      flows:
        implicit:
          authorizationUrl: https://logindemo.clearline.me/connect/authorize
          scopes:
            clearline_api: Grants access to Clearline API endpoints.

````